Bug 2092210 - Upgrade of fwupd to version 1.8.1-1.fc36 will crash your USB connections (including docking stations)
Summary: Upgrade of fwupd to version 1.8.1-1.fc36 will crash your USB connections (inc...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 36
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-01 06:03 UTC by GroovieMan
Modified: 2022-06-16 09:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-16 09:06:09 UTC
Type: Bug


Attachments (Terms of Use)
Logfile (91.20 KB, application/gzip)
2022-06-01 06:03 UTC, GroovieMan
no flags Details
output of: journalctl -xeu fwupd.service -b -2 > journalFWUPD.log (5.08 KB, text/plain)
2022-06-01 08:20 UTC, GroovieMan
no flags Details
Information provided by codesalat (140.00 KB, application/x-tar)
2022-06-07 12:42 UTC, me
no flags Details
fwupdtool verbose output (41.40 KB, text/plain)
2022-06-10 09:19 UTC, me
no flags Details
this is the stderr output of fwupdtool (35.59 KB, text/plain)
2022-06-12 20:51 UTC, GroovieMan
no flags Details

Description GroovieMan 2022-06-01 06:03:50 UTC
Created attachment 1885672 [details]
Logfile

Description of problem:
A regular system update caused an update of fwupd. When you log in to your system, you will notice that all of devices on your attached USB-C Docking station will become unstable and will be disconnected. 
- the cable-network sockets lights will stop to flicker 
- attached keyboard and mouse will not work anymore
- and the connected USB-C ALT-DP will become unavailable too
Switching back to fwupd-1.7.7-1.fc36.x86_64 is one solution to get your system back t work. Better redraw this weired version and test it with a USB Docking station!


Version-Release number of selected component (if applicable):
fwupd-1.8.1-1.fc36  

How reproducible:
Simply start your system, login and see how your devices disappear.

Steps to Reproduce:
1. perform a regular update 
2. and receive fwupd-1.8.1-1.fc36  
3. and say good-bye to your usb-docking station

Actual results:
notebook becomes unusable. You may find some USB error messages in the log.

Expected results:
an update should not kill your desktop

Additional info:

Comment 1 Richard Hughes 2022-06-01 07:56:58 UTC
What docking system? What host system? Are there any logs in dmesg? There's not a lot of information on this report at the moment.

Comment 2 GroovieMan 2022-06-01 08:17:01 UTC
Salut Richard,

the hardware:
- notebook: Lenovo ThinkBook 16p Gen2  with AMD Ryzen 9 5900H and a nvidia 
- usb-dockingstation: Startech DKT31CHDVCM (https://www.startech.com/de-de/karten-adapter/dkt31chdvcm) connected via USB-C 3.2  Alt-DP

- lsusb gives me this:
cgroove@foreman ~ $ lsusb
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 004: ID 048d:c916 Integrated Technology Express, Inc. ITE Device(8296)
Bus 003 Device 003: ID 04f2:b71f Chicony Electronics Co., Ltd Integrated Camera
Bus 003 Device 007: ID 0e8d:2008 MediaTek Inc. Cyrus Technology CS 24
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 003: ID 0bda:8153 Realtek Semiconductor Corp. RTL8153 Gigabit Ethernet Adapter
Bus 002 Device 002: ID 05e3:0625 Genesys Logic, Inc. USB3.2 Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 006: ID 04f3:0c4b Elan Microelectronics Corp. ELAN:Fingerprint
Bus 001 Device 005: ID 8087:0029 Intel Corp. AX200 Bluetooth
Bus 001 Device 003: ID 04d9:a090 Holtek Semiconductor, Inc. USB Wireless Device
Bus 001 Device 004: ID 05e3:0f01 Genesys Logic, Inc. Billboard Device
Bus 001 Device 002: ID 05e3:0610 Genesys Logic, Inc. Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

- enclosed i will also add the result of  journalctl  -xeu fwupd.service  -b  -2   > journalFWUPD.log

Comment 3 GroovieMan 2022-06-01 08:19:00 UTC
Here is the output of this file:

Jun 01 06:37:26 foreman systemd[1]: Starting fwupd.service - Firmware update daemon...
░░ Subject: A start job for unit fwupd.service has begun execution
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ A start job for unit fwupd.service has begun execution.
░░ 
░░ The job identifier is 3265.
Jun 01 06:37:26 foreman fwupd[3693]: 04:37:26:0904 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0480: transfer failed
Jun 01 06:37:26 foreman fwupd[3693]: 04:37:26:0984 FuEngine             failed to probe device usb:02:00:01:03: USB error on device 0bda:8153 : Entity not found [-5]
Jun 01 06:37:26 foreman fwupd[3693]: 04:37:26:0999 FuEngine             failed to probe device usb:02:00:01: USB error on device 05e3:0625 : Entity not found [-5]
Jun 01 06:37:27 foreman fwupd[3693]: 04:37:27:0114 FuEngine             failed to probe device usb:01:00:01:05: USB error on device 05e3:0f01 : No such device (it may have been disconnected) [-4]
Jun 01 06:37:27 foreman fwupd[3693]: 04:37:27:0115 FuEngine             failed to probe device usb:01:00:01:04: USB error on device 04d9:a090 : No such device (it may have been disconnected) [-4]
Jun 01 06:37:27 foreman fwupd[3693]: 04:37:27:0115 FuEngine             failed to probe device usb:01:00:01: USB error on device 05e3:0610 : No such device (it may have been disconnected) [-4]
Jun 01 06:37:27 foreman systemd[1]: Started fwupd.service - Firmware update daemon.
░░ Subject: A start job for unit fwupd.service has finished successfully
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ A start job for unit fwupd.service has finished successfully.
░░ 
░░ The job identifier is 3265.
Jun 01 06:38:07 foreman fwupd[3693]: 04:38:07:0479 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x00c0: device was disconnected
Jun 01 06:39:25 foreman fwupd[3693]: 04:39:25:0847 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0a80: transfer failed
Jun 01 06:39:52 foreman fwupd[3693]: 04:39:52:0887 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x3840: transfer failed
Jun 01 06:39:54 foreman fwupd[3693]: 04:39:54:0871 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0380: device was disconnected
Jun 01 06:40:21 foreman fwupd[3693]: 04:40:21:0239 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0780: transfer failed
Jun 01 06:40:23 foreman fwupd[3693]: 04:40:23:0222 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0600: device was disconnected
Jun 01 06:40:42 foreman fwupd[3693]: 04:40:42:0007 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0140: transfer failed
Jun 01 06:40:45 foreman fwupd[3693]: 04:40:45:0590 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0200: transfer failed
Jun 01 06:41:37 foreman fwupd[3693]: 04:41:37:0303 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0840: transfer failed
Jun 01 06:41:45 foreman fwupd[3693]: 04:41:45:0559 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x3780: transfer failed
Jun 01 06:42:06 foreman fwupd[3693]: 04:42:06:0966 FuEngine             failed to add device usb:01:00:01: error reading flash at 0x0200: transfer failed
Jun 01 07:07:46 foreman fwupd[3693]: 05:07:46:0302 FuPluginUpower       failed to query lid state
Jun 01 07:07:46 foreman fwupd[3693]: 05:07:46:0302 FuPluginUpower       failed to query lid state
Jun 01 07:07:46 foreman systemd[1]: Stopping fwupd.service - Firmware update daemon...
░░ Subject: A stop job for unit fwupd.service has begun execution
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ A stop job for unit fwupd.service has begun execution.
░░ 
░░ The job identifier is 5841.
Jun 01 07:07:46 foreman fwupd[3693]: 05:07:46:0866 FuMain               Received SIGTERM
Jun 01 07:07:46 foreman systemd[1]: fwupd.service: Deactivated successfully.
░░ Subject: Unit succeeded
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ The unit fwupd.service has successfully entered the 'dead' state.
Jun 01 07:07:46 foreman systemd[1]: Stopped fwupd.service - Firmware update daemon.
░░ Subject: A stop job for unit fwupd.service has finished
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ A stop job for unit fwupd.service has finished.
░░ 
░░ The job identifier is 5841 and the job result is done.
Jun 01 07:07:46 foreman systemd[1]: fwupd.service: Consumed 4.219s CPU time.
░░ Subject: Resources consumed by unit runtime
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ The unit fwupd.service completed and consumed the indicated resources.

Comment 4 GroovieMan 2022-06-01 08:20:32 UTC
Created attachment 1885698 [details]
output of: journalctl  -xeu fwupd.service  -b  -2   > journalFWUPD.log

Comment 5 GroovieMan 2022-06-05 16:15:52 UTC
There is a new version out fwupd-1.8.1-1.fc36.x86_64

Is this a fix ?

Comment 6 GroovieMan 2022-06-05 16:16:51 UTC
Sorry ...  i was wrong.

Comment 7 me 2022-06-07 12:42:54 UTC
Created attachment 1887530 [details]
Information provided by codesalat

Includes kernel log during manual fwupd service start, verbose output of lsusb and journal logs of fwupd.

Comment 8 me 2022-06-07 12:46:53 UTC
Same behaviour for me. Took me some time to figure out it was fwupd causing it. Every time the service starts (manually or automatically), USB devices disconnect for ~2 seconds.
The constant in both setups is the Genesys Hub (05e3:0610), though in my case it's built into a USB Hub, not a Dock.

Fedora 36 on Kernel 5.17.12-300.fc36.x86_64 with fwupd 1.8.1.

I attached an archive with more information, as seen in comment #7

Comment 9 Richard Hughes 2022-06-09 12:33:15 UTC
Can one of you please attach the output of `fwupdtool --verbose get-devices` please. Filing it upstream https://github.com/fwupd/fwupd/issues would also allow me to tag the relevant Genesis people. Thanks.

Comment 10 me 2022-06-10 09:19:38 UTC
Created attachment 1888603 [details]
fwupdtool verbose output

Comment 11 me 2022-06-10 09:51:55 UTC
Upstream issue: https://github.com/fwupd/fwupd/issues/4730

Comment 12 GroovieMan 2022-06-12 20:46:49 UTC
How can i redirect the output of fwupdtool??

Comment 13 GroovieMan 2022-06-12 20:51:32 UTC
Created attachment 1889221 [details]
this is the stderr output of fwupdtool

Comment 14 Richard Hughes 2022-06-16 09:06:09 UTC
Will be fixed in the next upstream release, available in 2 weeks. If you want a sneak peak, there are packages here: https://people.freedesktop.org/~hughsient/fedora/32/x86_64/


Note You need to log in before you can comment on or make changes to this bug.